<?php
 /**

 */

 
 
 

include ("../conectar.php");


echo $codfactura=$_GET["codfactura"];
echo $horaactual = date("h:i:s A");

 $query_parametros="SELECT * FROM web_0000 ";
	 $rs_query_parametros=mysql_query($query_parametros);

   $nomcom= mysql_result($rs_query_parametros,0,"nomcom");
   $razsoc= mysql_result($rs_query_parametros,0,"razsoc");
	$cedjur= mysql_result($rs_query_parametros,0,"cedjur");
	 $diremp= mysql_result($rs_query_parametros,0,"diremp");
	 $numtel_empresa= mysql_result($rs_query_parametros,0,"numtel");
	 	 $numofi= mysql_result($rs_query_parametros,0,"numofi");
		 	 $diains= mysql_result($rs_query_parametros,0,"diains");


  $query_factura_contado="SELECT * FROM facturas WHERE codfactura='$codfactura'";
	 $rs_query_factura_contado=mysql_query($query_factura_contado);

   $cdgcli= mysql_result($rs_query_factura_contado,0,"cdgcli");
      $dsccli= mysql_result($rs_query_factura_contado,0,"dsccli");
	  $pagacon= mysql_result($rs_query_factura_contado,0,"pagacon");
	  $vuelto= mysql_result($rs_query_factura_contado,0,"vuelto");
	  $cdgven =mysql_result($rs_query_factura_contado,0,"cdgven");
	  $cdgtipven =mysql_result($rs_query_factura_contado,0,"cdgtipven");
	  $fecha =mysql_result($rs_query_factura_contado,0,"fecha");
	  $fecven =mysql_result($rs_query_factura_contado,0,"fechavencimiento");

  	 if ($cdgcli == 9999) {

		  $consulta = "Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= $cdgcli";
			$resultado = mysql_query($consulta);
			$lafila=mysql_fetch_array($resultado);

		 	  $dsccli= mysql_result($rs_query_factura_contado,0,"dsccli");
		


	} else {

		$consulta = "Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= web_0301.cdgcli";
		$resultado = mysql_query($consulta);
		$lafila=mysql_fetch_array($resultado);


		 $cedcli=mysql_result($resultado,0,"cedcli");
		 $dircli=mysql_result($resultado,0,"dircli");
		 $numtel=mysql_result($resultado,0,"numtel");

	
	
				 
		
        }  
		
		if ($cdgtipven == 1 ) { $tipo_venta="FACTURA DE CONTADO"; $vencimiento ="                 ";} else { $tipo_venta="FACTURA DE CREDITO";   $vencimiento ="Vence: ". $fecven; }
        

  $query_vendedor="SELECT * FROM usuarios WHERE codusu='$cdgven'";
	 $rs_query_vendedor=mysql_query($query_vendedor);

   $vendedor= mysql_result($rs_query_vendedor,0,"usu");
 



?>
		



<?


//if(($handle = @fopen("http://192.168.1.4/", "r")) === FALSE){


if(($handle = @fopen("LPT1", "w")) === FALSE){
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');




fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(20). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $tipo_venta);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
	  $factura = str_pad("N. Factura: ".$codfactura, 23);
	    $venfac = str_pad("Vendedor: " . $vendedor , 23);
fwrite($handle,$factura);
fwrite($handle,"Fecha: ". $fecha);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

 $sel_lineas="SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
						echo	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
						echo	$dscart=mysql_result($rs_lineas,$i,"dscart");
						echo	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
						echo	$preivi=mysql_result($rs_lineas,$i,"preivi");
						echo	$prenivi=mysql_result($rs_lineas,$i,"prenivi");
						echo	$importe=mysql_result($rs_lineas,$i,"importe");
						echo	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
						echo	$descuento=mysql_result($rs_lineas,$i,"mondes");
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						
					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
  
  // si el articulo es comodin no muestra detalle de linea 
 if ($cdgbar == 100 ) { } else { fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart); } 
     	//
   
  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 


fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diains );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"(E)Articulo Exento - (G)Articulo Gravado"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel



 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Esta Factura constituye un titulo"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"ejecutivo y se rige por el Articulo"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"460 del Codigo de Comercio."  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diains );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"(E)Articulo Exento - (G)Articulo Gravado"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


} 

		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr LPT1'); //lpr->puerto impresora, imprimir archivo PRN

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 